

/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Thomas Fahrni
   co-programmer:
*/
#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_AI

#include "ai_team.h"

AITeam::AITeam()
{}

AITeam::~AITeam()
{}

void AITeam::process()
{
	int teamSize=teamMembers.size();
	for(int i=0; i < teamSize; i++ )
	{
   	//std::cout << "Processing TeamMember " << i <<  "...\n";
   	teamMembers.at(i)->process();
	}
}


void AITeam::addMember(AITeamMember* newMember)
{
	teamMembers.push_back(newMember);
}


AITeamMember* AITeam::getTeamMember(int teamMemberID)
{
	return teamMembers.at(teamMemberID);
}
